メインコンテンツへスキップ
PUT
/
crm
/
v4
/
objects
/
{objectType}
/
{objectId}
/
associations
/
{toObjectType}
/
{toObjectId}
レコードを関連付け(ラベル付き)
curl --request PUT \
  --url https://api.hubapi.com/crm/v4/objects/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "associationTypeId": 123
  }
]
'
{
  "fromObjectId": "<string>",
  "fromObjectTypeId": "<string>",
  "labels": [
    "<string>"
  ],
  "toObjectId": "<string>",
  "toObjectTypeId": "<string>"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectId
string
必須
objectType
string
必須
toObjectId
string
必須
toObjectType
string
必須

ボディ

application/json
associationCategory
enum<string>
必須

「HUBSPOT_DEFINED」など、関連付けのカテゴリー。

利用可能なオプション:
HUBSPOT_DEFINED,
INTEGRATOR_DEFINED,
USER_DEFINED,
WORK
associationTypeId
integer<int32>
必須

特定のタイプの関連付けを表すID。

レスポンス

successful operation

2つのオブジェクトタイプ間で適用可能な関係記述子。

fromObjectId
string
必須

関連付けのソースオブジェクトのID。

fromObjectTypeId
string
必須

関連付けのソースオブジェクトのタイプID。

labels
string[]
必須

オブジェクト間の関係に関連付けられたラベルの配列。

toObjectId
string
必須

関連付けのターゲットオブジェクトのID。

toObjectTypeId
string
必須

関連付けのターゲットオブジェクトのタイプID。

最終更新日 2026年4月13日